## com.puppycrawl.tools.checkstyle.checks.coding
Class MagicNumberCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.MagicNumberCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class MagicNumberCheck

extends Check

Checks for magic numbers.

An example of how to configure the check to ignore numbers 0, 1, 1.5, 2:

     <module name="MagicNumber">
        <property name="ignoreNumbers" value="0, 1, 1.5, 2"/>
     </module>

Author:
  Rick Giles, Lars Kühne

Constructor Summary
`MagicNumberCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `setIgnoreNumbers(double[] aList)` Sets the numbers to ignore in the check.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MagicNumberCheck

    public MagicNumberCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### setIgnoreNumbers

    public void setIgnoreNumbers(double[] aList)

  Sets the numbers to ignore in the check. BeanUtils converts numeric token list to double array automatically.

  Parameters:
    `aList` - list of numbers to ignore.

Back to the Checkstyle Home Page